Package it.ernytech.tdlib

## Class TdApi.ChatEventUsernameChanged

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventAction
    - - it.ernytech.tdlib.TdApi.ChatEventUsernameChanged

Enclosing class:
  TdApi

    public static class TdApi.ChatEventUsernameChanged
    extends TdApi.ChatEventAction

The chat username was changed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `newUsername` New chat username.
`java.lang.String` `oldUsername` Previous chat username.

### Constructor Summary

Constructors
`ChatEventUsernameChanged()` Default constructor.
`ChatEventUsernameChanged​(java.lang.String oldUsername, java.lang.String newUsername)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### oldUsername

    public java.lang.String oldUsername

Previous chat username.

#### newUsername

    public java.lang.String newUsername

New chat username.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEventUsernameChanged

    public ChatEventUsernameChanged()

Default constructor.

#### ChatEventUsernameChanged

    public ChatEventUsernameChanged​(java.lang.String oldUsername,
                                    java.lang.String newUsername)

Constructor for initialization of all fields.

Parameters:
  `oldUsername` - Previous chat username.
  `newUsername` - New chat username.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR